boost::geometry::traits::coordinate_type< Point, Enable > Struct Template Reference
traits: adapt geometries

Traits class which indicate the coordinate type (double,float,...) of a point. More...

List of all members.

## Public Member Functions

| BOOST_MPL_ASSERT_MSG (false, NOT_IMPLEMENTED_FOR_THIS_POINT_TYPE,(types< Point >))

## Detailed Description

### template<typename Point, typename Enable = void>
struct boost::geometry::traits::coordinate_type< Point, Enable >

Traits class which indicate the coordinate type (double,float,...) of a point.

Geometries:
  - point

Specializations should provide:
  - typedef T type; (double,float,int,etc)

## Member Function Documentation

template<typename Point , typename Enable = void>

boost::geometry::traits::coordinate_type< Point, Enable >::BOOST_MPL_ASSERT_MSG | ( | false | ,
|  | NOT_IMPLEMENTED_FOR_THIS_POINT_TYPE | ,
|  | (types< Point >) |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK